%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pycodestyle
Version:       2.12.0
Release:       1mamba
Summary:       Python style guide checker
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pycodestyle.pycqa.org/en/latest/
Source:        http://pypi.debian.net/pycodestyle/pycodestyle-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Provides:      pycodestyle%{?pyappend:-%pyappend} \
Obsoletes:     pycodestyle%{?pyappend:-%pyappend} <= 2.10.0-1mamba
%pyver_package
%endif

%prep
%setup -q -n pycodestyle-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/pycodestyle; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/pycodestyle*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%{python_sitelib}/__pycache__/pycodestyle.cpython*.pyc
%{python_sitelib}/pycodestyle.py
%doc LICENSE

%changelog
* Sun Jun 16 2024 Automatic Build System <autodist@openmamba.org> 2.12.0-1mamba
- automatic version update by autodist

* Fri Oct 13 2023 Automatic Build System <autodist@mambasoft.it> 2.11.1-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 2.11.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sun Jul 30 2023 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic version update by autodist

* Fri Apr 07 2023 Sdk Build System <sdk@mambasoft.it> 2.10.0-3mamba
- rebuilt with python 3.10

* Fri Dec 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-2mamba
- provide/obsolete pycodestyle

* Thu Nov 24 2022 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Wed Nov 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.1-1mamba
- package created using the webbuild interface
